Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network60.64.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
60.64.0.0
Broadcast address
60.127.255.255
First usable
60.64.0.1
Last usable
60.127.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 3C400000 · Integer 1010827264 to 1015021567
Reverse DNS zones
64.60.in-addr.arpa
65.60.in-addr.arpa
66.60.in-addr.arpa
67.60.in-addr.arpa
68.60.in-addr.arpa
69.60.in-addr.arpa
70.60.in-addr.arpa
71.60.in-addr.arpa
72.60.in-addr.arpa
73.60.in-addr.arpa
74.60.in-addr.arpa
75.60.in-addr.arpa
76.60.in-addr.arpa
77.60.in-addr.arpa
78.60.in-addr.arpa
79.60.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111100.01000000.00000000.0000000060.64.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00111100.01000000.00000000.0000000060.64.0.0
Broadcast00111100.01111111.11111111.1111111160.127.255.255
Split into smaller subnets/17

60.64.0.0/10 makes 128 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
160.64.0.0/1760.64.0.1 to 60.64.127.25460.64.127.25532,766
260.64.128.0/1760.64.128.1 to 60.64.255.25460.64.255.25532,766
360.65.0.0/1760.65.0.1 to 60.65.127.25460.65.127.25532,766
460.65.128.0/1760.65.128.1 to 60.65.255.25460.65.255.25532,766
560.66.0.0/1760.66.0.1 to 60.66.127.25460.66.127.25532,766
660.66.128.0/1760.66.128.1 to 60.66.255.25460.66.255.25532,766
760.67.0.0/1760.67.0.1 to 60.67.127.25460.67.127.25532,766
860.67.128.0/1760.67.128.1 to 60.67.255.25460.67.255.25532,766
960.68.0.0/1760.68.0.1 to 60.68.127.25460.68.127.25532,766
1060.68.128.0/1760.68.128.1 to 60.68.255.25460.68.255.25532,766
1160.69.0.0/1760.69.0.1 to 60.69.127.25460.69.127.25532,766
1260.69.128.0/1760.69.128.1 to 60.69.255.25460.69.255.25532,766
1360.70.0.0/1760.70.0.1 to 60.70.127.25460.70.127.25532,766
1460.70.128.0/1760.70.128.1 to 60.70.255.25460.70.255.25532,766
1560.71.0.0/1760.71.0.1 to 60.71.127.25460.71.127.25532,766
1660.71.128.0/1760.71.128.1 to 60.71.255.25460.71.255.25532,766
1760.72.0.0/1760.72.0.1 to 60.72.127.25460.72.127.25532,766
1860.72.128.0/1760.72.128.1 to 60.72.255.25460.72.255.25532,766
1960.73.0.0/1760.73.0.1 to 60.73.127.25460.73.127.25532,766
2060.73.128.0/1760.73.128.1 to 60.73.255.25460.73.255.25532,766
2160.74.0.0/1760.74.0.1 to 60.74.127.25460.74.127.25532,766
2260.74.128.0/1760.74.128.1 to 60.74.255.25460.74.255.25532,766
2360.75.0.0/1760.75.0.1 to 60.75.127.25460.75.127.25532,766
2460.75.128.0/1760.75.128.1 to 60.75.255.25460.75.255.25532,766
2560.76.0.0/1760.76.0.1 to 60.76.127.25460.76.127.25532,766
2660.76.128.0/1760.76.128.1 to 60.76.255.25460.76.255.25532,766
2760.77.0.0/1760.77.0.1 to 60.77.127.25460.77.127.25532,766
2860.77.128.0/1760.77.128.1 to 60.77.255.25460.77.255.25532,766
2960.78.0.0/1760.78.0.1 to 60.78.127.25460.78.127.25532,766
3060.78.128.0/1760.78.128.1 to 60.78.255.25460.78.255.25532,766
3160.79.0.0/1760.79.0.1 to 60.79.127.25460.79.127.25532,766
3260.79.128.0/1760.79.128.1 to 60.79.255.25460.79.255.25532,766
3360.80.0.0/1760.80.0.1 to 60.80.127.25460.80.127.25532,766
3460.80.128.0/1760.80.128.1 to 60.80.255.25460.80.255.25532,766
3560.81.0.0/1760.81.0.1 to 60.81.127.25460.81.127.25532,766
3660.81.128.0/1760.81.128.1 to 60.81.255.25460.81.255.25532,766
3760.82.0.0/1760.82.0.1 to 60.82.127.25460.82.127.25532,766
3860.82.128.0/1760.82.128.1 to 60.82.255.25460.82.255.25532,766
3960.83.0.0/1760.83.0.1 to 60.83.127.25460.83.127.25532,766
4060.83.128.0/1760.83.128.1 to 60.83.255.25460.83.255.25532,766
4160.84.0.0/1760.84.0.1 to 60.84.127.25460.84.127.25532,766
4260.84.128.0/1760.84.128.1 to 60.84.255.25460.84.255.25532,766
4360.85.0.0/1760.85.0.1 to 60.85.127.25460.85.127.25532,766
4460.85.128.0/1760.85.128.1 to 60.85.255.25460.85.255.25532,766
4560.86.0.0/1760.86.0.1 to 60.86.127.25460.86.127.25532,766
4660.86.128.0/1760.86.128.1 to 60.86.255.25460.86.255.25532,766
4760.87.0.0/1760.87.0.1 to 60.87.127.25460.87.127.25532,766
4860.87.128.0/1760.87.128.1 to 60.87.255.25460.87.255.25532,766
4960.88.0.0/1760.88.0.1 to 60.88.127.25460.88.127.25532,766
5060.88.128.0/1760.88.128.1 to 60.88.255.25460.88.255.25532,766
5160.89.0.0/1760.89.0.1 to 60.89.127.25460.89.127.25532,766
5260.89.128.0/1760.89.128.1 to 60.89.255.25460.89.255.25532,766
5360.90.0.0/1760.90.0.1 to 60.90.127.25460.90.127.25532,766
5460.90.128.0/1760.90.128.1 to 60.90.255.25460.90.255.25532,766
5560.91.0.0/1760.91.0.1 to 60.91.127.25460.91.127.25532,766
5660.91.128.0/1760.91.128.1 to 60.91.255.25460.91.255.25532,766
5760.92.0.0/1760.92.0.1 to 60.92.127.25460.92.127.25532,766
5860.92.128.0/1760.92.128.1 to 60.92.255.25460.92.255.25532,766
5960.93.0.0/1760.93.0.1 to 60.93.127.25460.93.127.25532,766
6060.93.128.0/1760.93.128.1 to 60.93.255.25460.93.255.25532,766
6160.94.0.0/1760.94.0.1 to 60.94.127.25460.94.127.25532,766
6260.94.128.0/1760.94.128.1 to 60.94.255.25460.94.255.25532,766
6360.95.0.0/1760.95.0.1 to 60.95.127.25460.95.127.25532,766
6460.95.128.0/1760.95.128.1 to 60.95.255.25460.95.255.25532,766
6560.96.0.0/1760.96.0.1 to 60.96.127.25460.96.127.25532,766
6660.96.128.0/1760.96.128.1 to 60.96.255.25460.96.255.25532,766
6760.97.0.0/1760.97.0.1 to 60.97.127.25460.97.127.25532,766
6860.97.128.0/1760.97.128.1 to 60.97.255.25460.97.255.25532,766
6960.98.0.0/1760.98.0.1 to 60.98.127.25460.98.127.25532,766
7060.98.128.0/1760.98.128.1 to 60.98.255.25460.98.255.25532,766
7160.99.0.0/1760.99.0.1 to 60.99.127.25460.99.127.25532,766
7260.99.128.0/1760.99.128.1 to 60.99.255.25460.99.255.25532,766
7360.100.0.0/1760.100.0.1 to 60.100.127.25460.100.127.25532,766
7460.100.128.0/1760.100.128.1 to 60.100.255.25460.100.255.25532,766
7560.101.0.0/1760.101.0.1 to 60.101.127.25460.101.127.25532,766
7660.101.128.0/1760.101.128.1 to 60.101.255.25460.101.255.25532,766
7760.102.0.0/1760.102.0.1 to 60.102.127.25460.102.127.25532,766
7860.102.128.0/1760.102.128.1 to 60.102.255.25460.102.255.25532,766
7960.103.0.0/1760.103.0.1 to 60.103.127.25460.103.127.25532,766
8060.103.128.0/1760.103.128.1 to 60.103.255.25460.103.255.25532,766
8160.104.0.0/1760.104.0.1 to 60.104.127.25460.104.127.25532,766
8260.104.128.0/1760.104.128.1 to 60.104.255.25460.104.255.25532,766
8360.105.0.0/1760.105.0.1 to 60.105.127.25460.105.127.25532,766
8460.105.128.0/1760.105.128.1 to 60.105.255.25460.105.255.25532,766
8560.106.0.0/1760.106.0.1 to 60.106.127.25460.106.127.25532,766
8660.106.128.0/1760.106.128.1 to 60.106.255.25460.106.255.25532,766
8760.107.0.0/1760.107.0.1 to 60.107.127.25460.107.127.25532,766
8860.107.128.0/1760.107.128.1 to 60.107.255.25460.107.255.25532,766
8960.108.0.0/1760.108.0.1 to 60.108.127.25460.108.127.25532,766
9060.108.128.0/1760.108.128.1 to 60.108.255.25460.108.255.25532,766
9160.109.0.0/1760.109.0.1 to 60.109.127.25460.109.127.25532,766
9260.109.128.0/1760.109.128.1 to 60.109.255.25460.109.255.25532,766
9360.110.0.0/1760.110.0.1 to 60.110.127.25460.110.127.25532,766
9460.110.128.0/1760.110.128.1 to 60.110.255.25460.110.255.25532,766
9560.111.0.0/1760.111.0.1 to 60.111.127.25460.111.127.25532,766
9660.111.128.0/1760.111.128.1 to 60.111.255.25460.111.255.25532,766
9760.112.0.0/1760.112.0.1 to 60.112.127.25460.112.127.25532,766
9860.112.128.0/1760.112.128.1 to 60.112.255.25460.112.255.25532,766
9960.113.0.0/1760.113.0.1 to 60.113.127.25460.113.127.25532,766
10060.113.128.0/1760.113.128.1 to 60.113.255.25460.113.255.25532,766
10160.114.0.0/1760.114.0.1 to 60.114.127.25460.114.127.25532,766
10260.114.128.0/1760.114.128.1 to 60.114.255.25460.114.255.25532,766
10360.115.0.0/1760.115.0.1 to 60.115.127.25460.115.127.25532,766
10460.115.128.0/1760.115.128.1 to 60.115.255.25460.115.255.25532,766
10560.116.0.0/1760.116.0.1 to 60.116.127.25460.116.127.25532,766
10660.116.128.0/1760.116.128.1 to 60.116.255.25460.116.255.25532,766
10760.117.0.0/1760.117.0.1 to 60.117.127.25460.117.127.25532,766
10860.117.128.0/1760.117.128.1 to 60.117.255.25460.117.255.25532,766
10960.118.0.0/1760.118.0.1 to 60.118.127.25460.118.127.25532,766
11060.118.128.0/1760.118.128.1 to 60.118.255.25460.118.255.25532,766
11160.119.0.0/1760.119.0.1 to 60.119.127.25460.119.127.25532,766
11260.119.128.0/1760.119.128.1 to 60.119.255.25460.119.255.25532,766
11360.120.0.0/1760.120.0.1 to 60.120.127.25460.120.127.25532,766
11460.120.128.0/1760.120.128.1 to 60.120.255.25460.120.255.25532,766
11560.121.0.0/1760.121.0.1 to 60.121.127.25460.121.127.25532,766
11660.121.128.0/1760.121.128.1 to 60.121.255.25460.121.255.25532,766
11760.122.0.0/1760.122.0.1 to 60.122.127.25460.122.127.25532,766
11860.122.128.0/1760.122.128.1 to 60.122.255.25460.122.255.25532,766
11960.123.0.0/1760.123.0.1 to 60.123.127.25460.123.127.25532,766
12060.123.128.0/1760.123.128.1 to 60.123.255.25460.123.255.25532,766
12160.124.0.0/1760.124.0.1 to 60.124.127.25460.124.127.25532,766
12260.124.128.0/1760.124.128.1 to 60.124.255.25460.124.255.25532,766
12360.125.0.0/1760.125.0.1 to 60.125.127.25460.125.127.25532,766
12460.125.128.0/1760.125.128.1 to 60.125.255.25460.125.255.25532,766
12560.126.0.0/1760.126.0.1 to 60.126.127.25460.126.127.25532,766
12660.126.128.0/1760.126.128.1 to 60.126.255.25460.126.255.25532,766
12760.127.0.0/1760.127.0.1 to 60.127.127.25460.127.127.25532,766
12860.127.128.0/1760.127.128.1 to 60.127.255.25460.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses